package com.bernard.greposimu.model.game;

public class UnitResources extends Resources {

	God god;
	int favor;
	
	public UnitResources(int wood, int stone, int iron) {
		super(wood, stone, iron);
		this.god = null;
		this.favor = 0;
	}

	public UnitResources(int wood, int stone, int iron, God god, int favor) {
		super(wood, stone, iron);
		this.god = god;
		this.favor = favor;
	}
	
	public God getGod() {
		return god;
	}
	public int getFavor() {
		return favor;
	}
	

}
